<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui middle aligned center aligned grid segment" th:fragment="page">
    <div class="column small-box">
      <h2 class="ui image header">
        <img th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).IMAGE_LOGO}}" class="image" alt="logo"/>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_SELFSERVICE_AUTHENTICATION}}"></span>
      </h2>
      <form class="ui large form" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_LOGIN}}">
        <div class="field">
          <div class="ui left icon input">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_RESOURCES}"></i>
            <input autofocus="autofocus" name="username" maxlength="15" th:placeholder="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}}" th:value="${param.username}" type="text" />
          </div>
        </div>
        <div class="field">
          <div class="ui left icon input">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_AUTHENTICATION}"></i>
            <input name="password" maxlength="4" th:placeholder="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PIN}}" type="password" />
          </div>
        </div>
        <div class="inline field">
          <div class="ui toggle checkbox" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            <input class="hidden" checked="checked" th:name="${T(pt.com.scrumify.helpers.ConstantsHelper).SECURITY_REMEMBERME_PARAMETER}" tabindex="0" type="checkbox" />
            <label th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_SELFSERVICE_REMEMBERME}}"></label>
          </div>
        </div>
        <div class="field">
          <div class="ui error message"></div>
          <div class="ui negative message" th:if="${param.error}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_LOGIN_ERROR}}"></div>
        </div>
        <div class="center aligned sixteen wide column">
          <button class="ui labeled icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" type="submit">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SIGNIN}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_SELFSERVICE_SIGNIN}}"></span>
          </button>
        </div>
      </form>
    </div>
  </div>
  <script type="text/javascript" th:inline="javascript">
      $(document).ready(function() {
         $('.ui.toggle.checkbox').checkbox();
      });
      
      $('form').form({
         on : 'click',
         inline : true,
         fields : {
            username : {
               identifier : 'username',
               rules : [ {
                  type : 'empty',
                  prompt : [[#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_VALIDATION_EMPTY}(#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}})}]]
               } ]
            },
            password : {
               identifier : 'password',
               rules : [ {
                  type : 'empty',
                  prompt : [[#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_VALIDATION_EMPTY}(#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PIN}})}]]
               } ]
            }
         }
      });
   </script>
</body>
</html>